## kf6-kpackage 6.6.0

=== debian/changelog ===
kf6-kpackage (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:10:22 +0200

kf6-kpackage (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Stop disabling the build_stamp dh addon: the little saved by that is not
    worth the extra maintenance cost.
  * Drop the unused ${shlibs:Depends} substvar for libkf6package-data.
  * Backport upstream commit 0d0e1cd5ebf7944d7d8171ff6323348013a29db0 to add
    the include guard to one installed header file; patch
    upstream_Add-missing-include-guard.patch.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 06:51:58 +0200

kf6-kpackage (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:07 +0200

kf6-kpackage (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:42 +0200
