=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6archive-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6doctools-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6archive-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6doctools-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
@@ -52,7 +52,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kpackagetool6 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 6.10.0~),
+         libkf6coreaddons-dev (>= 6.11.0~),
          libkf6package6 (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
